Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 625782

Summary: dev-libs/poco-1.4.6_p4 will not build with USE iodbc: ODBC.make:45: *** No ODBC library found. Please install unixODBC or iODBC or specify ODBCLIBDIR and try again. Stop.
Product: Gentoo Linux Reporter: deference
Component: Current packagesAssignee: David <davidroman96>
Status: RESOLVED TEST-REQUEST    
Severity: normal CC: cpp+disabled, deference, jstein, proxy-maint, sam
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 609252    
Bug Blocks:    
Attachments: build-poco.txt.bz2
emergeinfo-poco.txt

Description deference 2017-07-21 01:15:19 UTC
make[1]: Entering directory '/var/tmp/portage/dev-libs/poco-1.4.6_p4/work/poco-1.4.6p4-all/Data/ODBC'
ODBC.make:45: *** No ODBC library found. Please install unixODBC or iODBC or specify ODBCLIBDIR and try again.  Stop.
make[1]: Leaving directory '/var/tmp/portage/dev-libs/poco-1.4.6_p4/work/poco-1.4.6p4-all/Data/ODBC'
make: *** [Makefile:131: Data/ODBC-libexec] Error 2

[ebuild   R   ] dev-libs/poco-1.4.6_p4  USE="doc examples iodbc* mysql odbc sqlite ssl {-test}"
Comment 1 deference 2017-07-21 01:16:26 UTC
Created attachment 486166 [details]
build-poco.txt.bz2

build.log compressed bz2.
Comment 2 deference 2017-07-21 01:16:48 UTC
Created attachment 486168 [details]
emergeinfo-poco.txt

emerge --info
Comment 3 Sam James archtester gentoo-dev Security 2021-03-10 00:19:20 UTC
Still an issue?